const Joi = require("joi");

// ========================
// Unit Validation
// ========================
const insertUnitSchema = Joi.object({
    unit_name: Joi.string().max(100).required(),
    is_active: Joi.boolean().required(),
    unit_description: Joi.string().max(255).allow('')
});

const updateUnitSchema = Joi.object({
    unit_name: Joi.string().max(100).optional(),
    is_active: Joi.boolean().optional(),
    unit_description: Joi.string().max(255).allow('')
}).min(1);

module.exports = {
    insertUnitSchema,
    updateUnitSchema
};
